# Uses of Enum Class
org.eclipse.emf.cdo.session.remote.CDORemoteSessionMessage.Priority

Packages that use CDORemoteSessionMessage.Priority
Package
Description
org.eclipse.emf.cdo.session.remote
Client concepts for the communication and collaboration with other sessions.

## Uses of CDORemoteSessionMessage.Priority in org.eclipse.emf.cdo.session.remote

Methods in org.eclipse.emf.cdo.session.remote that return CDORemoteSessionMessage.Priority
Modifier and Type
Method
Description
`CDORemoteSessionMessage.Priority`
CDORemoteSessionMessage.`getPriority()`
Returns the priority of this message.
`static CDORemoteSessionMessage.Priority`
CDORemoteSessionMessage.Priority.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDORemoteSessionMessage.Priority[]`
CDORemoteSessionMessage.Priority.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.emf.cdo.session.remote with parameters of type CDORemoteSessionMessage.Priority
Modifier
Constructor
Description
``
`CDORemoteSessionMessage(String type, CDORemoteSessionMessage.Priority priority)`
``
`CDORemoteSessionMessage(String type, CDORemoteSessionMessage.Priority priority, byte[] data)`